- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Scroller

## Functions
EINA_DEPRECATED void | elm_scroller_custom_widget_base_theme_set (Evas_Object *obj, const char *widget, const char *base)
| Set custom theme elements for the scroller. More...
Evas_Object * | elm_scroller_add (Evas_Object *parent)
| Add a new scroller to the parent. More...
void | elm_scroller_content_min_limit (Evas_Object *obj, Eina_Bool w, Eina_Bool h)
| Make the scroller minimum size limited to the minimum size of the content. More...
void | elm_scroller_region_show (Evas_Object *obj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Show a specific virtual region within the scroller content object. More...
void | elm_scroller_policy_set (Evas_Object *obj, Elm_Scroller_Policy policy_h, Elm_Scroller_Policy policy_v)
| Set the scrollbar visibility policy. More...
void | elm_scroller_policy_get (const Evas_Object *obj, Elm_Scroller_Policy *policy_h, Elm_Scroller_Policy *policy_v)
| Get scrollbar visibility policy. More...
void | elm_scroller_single_direction_set (Evas_Object *obj, Elm_Scroller_Single_Direction single_dir)
| Set the type of single direction scroll. More...
Elm_Scroller_Single_Direction | elm_scroller_single_direction_get (const Evas_Object *obj)
| Get the type of single direction scroll. More...
void | elm_scroller_region_get (const Evas_Object *obj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Get the currently visible content region. More...
void | elm_scroller_child_size_get (const Evas_Object *obj, Evas_Coord *w, Evas_Coord *h)
| Get the size of the content object. More...
void | elm_scroller_page_snap_set (Evas_Object *obj, Eina_Bool page_h_snap, Eina_Bool page_v_snap)
| Set page snapping behavior of a scroller. More...
void | elm_scroller_page_snap_get (const Evas_Object *obj, Eina_Bool *page_h_snap, Eina_Bool *page_v_snap)
| Get the page snap behaviour of a scroller. More...
void | elm_scroller_bounce_set (Evas_Object *obj, Eina_Bool h_bounce, Eina_Bool v_bounce)
| Set bouncing behavior. More...
void | elm_scroller_bounce_get (const Evas_Object *obj, Eina_Bool *h_bounce, Eina_Bool *v_bounce)
| Get the bounce behaviour. More...
void | elm_scroller_page_relative_set (Evas_Object *obj, double h_pagerel, double v_pagerel)
| Set scroll page size relative to viewport size. More...
void | elm_scroller_page_relative_get (const Evas_Object *obj, double *h_pagerel, double *v_pagerel)
| Get a given scroller widget's scrolling page size, relative to its viewport size. More...
void | elm_scroller_page_size_set (Evas_Object *obj, Evas_Coord h_pagesize, Evas_Coord v_pagesize)
| Set scroll page size. More...
void | elm_scroller_page_size_get (const Evas_Object *obj, Evas_Coord *h_pagesize, Evas_Coord *v_pagesize)
| Retrieve a scroller widget's current page size. More...
void | elm_scroller_page_scroll_limit_set (const Evas_Object *obj, Evas_Coord page_limit_h, Evas_Coord page_limit_v)
| Set the maxium of the movable page at a flicking. More...
void | elm_scroller_page_scroll_limit_get (const Evas_Object *obj, Evas_Coord *page_limit_h, Evas_Coord *page_limit_v)
| Get the maxium of the movable page at a flicking. More...
void | elm_scroller_current_page_get (const Evas_Object *obj, int *h_pagenumber, int *v_pagenumber)
| Get scroll current page number. More...
void | elm_scroller_last_page_get (const Evas_Object *obj, int *h_pagenumber, int *v_pagenumber)
| Get scroll last page number. More...
void | elm_scroller_page_show (Evas_Object *obj, int h_pagenumber, int v_pagenumber)
| Show a specific virtual region within the scroller content object by page number. More...
void | elm_scroller_page_bring_in (Evas_Object *obj, int h_pagenumber, int v_pagenumber)
| Show a specific virtual region within the scroller content object by page number. More...
void | elm_scroller_region_bring_in (Evas_Object *obj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Show a specific virtual region within the scroller content object. More...
void | elm_scroller_propagate_events_set (Evas_Object *obj, Eina_Bool propagation)
| Set event propagation on a scroller. More...
Eina_Bool | elm_scroller_propagate_events_get (const Evas_Object *obj)
| Get event propagation for a scroller. More...
void | elm_scroller_gravity_set (Evas_Object *obj, double x, double y)
| Set scrolling gravity on a scroller. More...
void | elm_scroller_gravity_get (const Evas_Object *obj, double *x, double *y)
| Get scrolling gravity values for a scroller. More...
void | elm_scroller_movement_block_set (Evas_Object *obj, Elm_Scroller_Movement_Block block)
| Set blocking of scrolling (per axis) on a given scroller. More...
Elm_Scroller_Movement_Block | elm_scroller_movement_block_get (const Evas_Object *obj)
| Get a scroller's scroll blocking state. More...
#define | elm_obj_scroller_custom_widget_base_theme_set(klass, group) ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_CUSTOM_WIDGET_BASE_THEME_SET), EO_TYPECHECK(const char *, klass), EO_TYPECHECK(const char *, group)
| Set custom theme elements for the scroller. More...
#define | elm_obj_scroller_page_scroll_limit_set(page_limit_h, page_limit_v) ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PAGE_SCROLL_LIMIT_SET), EO_TYPECHECK(int, page_limit_h), EO_TYPECHECK(int, page_limit_v)
| Set the maxium of the movable page at a flicking. More...
#define | elm_obj_scroller_page_scroll_limit_get(page_limit_h, page_limit_v) ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PAGE_SCROLL_LIMIT_GET), EO_TYPECHECK(int *, page_limit_h), EO_TYPECHECK(int *, page_limit_v)
| Get the maxium of the movable page at a flicking. More...
#define | elm_obj_scroller_propagate_events_set(propagation) ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PROPAGATE_EVENTS_SET), EO_TYPECHECK(Eina_Bool, propagation)
| Set event propagation on a scroller. More...
#define | elm_obj_scroller_propagate_events_get(ret) ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PROPAGATE_EVENTS_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get event propagation for a scroller. More...

## Detailed Description

A scroller holds (and clips) a single object and "scrolls it around". This means that it allows the user to use a scroll bar (or a finger) to drag the viewable region around, moving through a much larger object that is contained in the scroller. The scroller will always have a small minimum size by default as it won't be limited by the contents of the scroller.

This widget inherits from the Layout one, so that all the functions acting on it also work for scroller objects.

This widget emits the following signals, besides the ones sent from

- `"edge,left"` - the left edge of the content has been reached
- `"edge,right"` - the right edge of the content has been reached
- `"edge,top"` - the top edge of the content has been reached
- `"edge,bottom"` - the bottom edge of the content has been reached
- `"scroll"` - the content has been scrolled (moved)
- `"scroll,left"` - the content has been scrolled (moved) leftwards
- `"scroll,right"` - the content has been scrolled (moved) rightwards
- `"scroll,up"` - the content has been scrolled (moved) upwards
- `"scroll,down"` - the content has been scrolled (moved) downwards
- `"scroll,anim,start"` - scrolling animation has started
- `"scroll,anim,stop"` - scrolling animation has stopped
- `"scroll,drag,start"` - dragging the contents around has started
- `"scroll,drag,stop"` - dragging the contents around has stopped
- `"vbar,drag"` - the vertical scroll bar has been dragged
- `"vbar,press"` - the vertical scroll bar has been pressed
- `"vbar,unpress"` - the vertical scroll bar has been unpressed
- `"hbar,drag"` - the horizontal scroll bar has been dragged
- `"hbar,press"` - the horizontal scroll bar has been pressed
- `"hbar,unpress"` - the horizontal scroll bar has been unpressed
- `"scroll,page,changed"` - the visible page has changed
- `"focused"` - When the scroller has received focus. (since 1.8)
- `"unfocused"` - When the scroller has lost focus. (since 1.8)

This widget implements the The Elementary Scrollable Interface interface. Its (non-deprecated) API functions, except for elm_scroller_add(), which gives basic scroller objects, are meant to be a basis for all other scrollable widgets (i.e. widgets implementing The Elementary Scrollable Interface). So, they will work both on pristine scroller widgets and on other "specialized" scrollable widgets.

Note
  The `"scroll,anim,*"` and `"scroll,drag,*"` signals are only emitted by user intervention.
  When Elementary is under its default profile and theme (meant for touch interfaces), scroll bars will not be draggable – their function is merely to indicate how much has been scrolled.
  When Elementary is under its desktop/standard profile and theme, the thumb scroll (a.k.a. finger scroll) won't work.

Default content parts of the scroller widget that you can use are:

- `"default"` - Content of the scroller

In Scroller example you'll find an example on how to use most of this API.

## Macro Definition Documentation

#define elm_obj_scroller_custom_widget_base_theme_set | ( |  | klass,
|  |  | group
| ) |  | ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_CUSTOM_WIDGET_BASE_THEME_SET), EO_TYPECHECK(const char *, klass), EO_TYPECHECK(const char *, group)

Set custom theme elements for the scroller.

Since
  1.8

Parameters

  [in] | klass |
  [in] | group |

See Also
  elm_scroller_custom_widget_base_theme_set

Referenced by elm_scroller_custom_widget_base_theme_set().

#define elm_obj_scroller_page_scroll_limit_get | ( |  | page_limit_h,
|  |  | page_limit_v
| ) |  | ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PAGE_SCROLL_LIMIT_GET), EO_TYPECHECK(int *, page_limit_h), EO_TYPECHECK(int *, page_limit_v)

Get the maxium of the movable page at a flicking.

Since
  1.8

Parameters

  [in] | page_limit_h |
  [in] | page_limit_v |

See Also
  elm_scroller_page_scroll_limit_get

#define elm_obj_scroller_page_scroll_limit_set | ( |  | page_limit_h,
|  |  | page_limit_v
| ) |  | ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PAGE_SCROLL_LIMIT_SET), EO_TYPECHECK(int, page_limit_h), EO_TYPECHECK(int, page_limit_v)

Set the maxium of the movable page at a flicking.

Since
  1.8

Parameters

  [in] | page_limit_h |
  [in] | page_limit_v |

See Also
  elm_scroller_page_scroll_limit_set

#define elm_obj_scroller_propagate_events_get | ( |  | ret | ) | ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PROPAGATE_EVENTS_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get event propagation for a scroller.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_scroller_propagate_events_get

Referenced by elm_scroller_propagate_events_get().

#define elm_obj_scroller_propagate_events_set | ( |  | propagation | ) | ELM_OBJ_SCROLLER_ID(ELM_OBJ_SCROLLER_SUB_ID_PROPAGATE_EVENTS_SET), EO_TYPECHECK(Eina_Bool, propagation)

Set event propagation on a scroller.

Since
  1.8

Parameters

  [in] | propagation |

See Also
  elm_scroller_propagate_events_set

Referenced by elm_scroller_propagate_events_set().

## Function Documentation

Evas_Object* elm_scroller_add | ( | Evas_Object * | parent | ) |

Add a new scroller to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_scroller_bounce_get | ( | const Evas_Object * | obj,
|  | Eina_Bool * | h_bounce,
|  | Eina_Bool * | v_bounce
| ) |  |

Get the bounce behaviour.

Parameters

  obj | The Scroller object
  h_bounce | Will the scroller bounce horizontally or not
  v_bounce | Will the scroller bounce vertically or not

See Also
  elm_scroller_bounce_set()

References elm_scrollable_interface_bounce_allow_get.

void elm_scroller_bounce_set | ( | Evas_Object * | obj,
|  | Eina_Bool | h_bounce,
|  | Eina_Bool | v_bounce
| ) |  |

Set bouncing behavior.

Parameters

  obj | The scroller object
  h_bounce | Allow bounce horizontally
  v_bounce | Allow bounce vertically

When scrolling, the scroller may "bounce" when reaching an edge of the content object. This is a visual way to indicate the end has been reached. This is enabled by default for both axis. This API will set if it is enabled for the given axis with the boolean parameters for each axis.

References elm_scrollable_interface_bounce_allow_set.

void elm_scroller_child_size_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the size of the content object.

Parameters

  obj | The scroller object
  w | Width of the content object.
  h | Height of the content object.

This gets the size of the content object of the scroller.

References elm_scrollable_interface_content_size_get.

void elm_scroller_content_min_limit | ( | Evas_Object * | obj,
|  | Eina_Bool | w,
|  | Eina_Bool | h
| ) |  |

Make the scroller minimum size limited to the minimum size of the content.

Parameters

  obj | The scroller object
  w | Enable limiting minimum size horizontally
  h | Enable limiting minimum size vertically

By default the scroller will be as small as its design allows, irrespective of its content. This will make the scroller minimum size the right size horizontally and/or vertically to perfectly fit its content in that direction.

References elm_scrollable_interface_content_min_limit.

void elm_scroller_current_page_get | ( | const Evas_Object * | obj,
|  | int * | h_pagenumber,
|  | int * | v_pagenumber
| ) |  |

Get scroll current page number.

Parameters

  obj | The scroller object
  h_pagenumber | The horizontal page number
  v_pagenumber | The vertical page number

The page number starts from 0. 0 is the first page. Current page means the page which meets the top-left of the viewport. If there are two or more pages in the viewport, it returns the number of the page which meets the top-left of the viewport.

See Also
  elm_scroller_last_page_get()
  elm_scroller_page_show()
  elm_scroller_page_bring_in()

References elm_scrollable_interface_current_page_get.

EINA_DEPRECATED void elm_scroller_custom_widget_base_theme_set | ( | Evas_Object * | obj,
|  | const char * | widget,
|  | const char * | base
| ) |  |

Set custom theme elements for the scroller.

Parameters

  obj | The scroller object
  widget | The widget name to use (default is "scroller")
  base | The base name to use (default is "base")

Deprecated:
  Use elm_layout_theme_set() instead.

References elm_obj_scroller_custom_widget_base_theme_set.

void elm_scroller_gravity_get | ( | const Evas_Object * | obj,
|  | double * | x,
|  | double * | y
| ) |  |

Get scrolling gravity values for a scroller.

Parameters

  obj | The scroller object
  x | The scrolling horizontal gravity
  y | The scrolling vertical gravity

This gets gravity values for a scroller.

See Also
  elm_scroller_gravity_set()

References elm_scrollable_interface_gravity_get.

void elm_scroller_gravity_set | ( | Evas_Object * | obj,
|  | double | x,
|  | double | y
| ) |  |

Set scrolling gravity on a scroller.

Parameters

  obj | The scroller object
  x | The scrolling horizontal gravity
  y | The scrolling vertical gravity

The gravity, defines how the scroller will adjust its view when the size of the scroller contents increase.

The scroller will adjust the view to glue itself as follows.

x=0.0, for showing the left most region of the content. x=1.0, for showing the right most region of the content. y=0.0, for showing the bottom most region of the content. y=1.0, for showing the top most region of the content.

Default values for x and y are 0.0

References elm_scrollable_interface_gravity_set.

void elm_scroller_last_page_get | ( | const Evas_Object * | obj,
|  | int * | h_pagenumber,
|  | int * | v_pagenumber
| ) |  |

Get scroll last page number.

Parameters

  obj | The scroller object
  h_pagenumber | The horizontal page number
  v_pagenumber | The vertical page number

The page number starts from 0. 0 is the first page. This returns the last page number among the pages.

See Also
  elm_scroller_current_page_get()
  elm_scroller_page_show()
  elm_scroller_page_bring_in()

References elm_scrollable_interface_last_page_get.

Elm_Scroller_Movement_Block elm_scroller_movement_block_get | ( | const Evas_Object * | obj | ) |

Get a scroller's scroll blocking state.

Parameters

  parent | The scroller object

Returns
  The blocking state

Since
  1.8

See Also
  elm_scroller_movement_block_set() for more details

void elm_scroller_movement_block_set | ( | Evas_Object * | obj,
|  | Elm_Scroller_Movement_Block | block
| ) |  |

Set blocking of scrolling (per axis) on a given scroller.

Parameters

  obj | The scroller object
  block | The axis to block

This function will block scrolling movement (by input of a user) in a given direction. One can disable movements in the X axis, the Y axis or both. The default value is `ELM_SCROLLER_MOVEMENT_NO_BLOCK`, where movements are allowed in both directions.

What makes this function different from elm_object_scroll_freeze_push(), elm_object_scroll_hold_push() and elm_object_scroll_lock_x_set() (or elm_object_scroll_lock_y_set()) is that it doesn't propagate its effects to any parent or child widget of obj. Only the target scrollable widget will be locked with regard to scrolling.

Since
  1.8

References elm_scrollable_interface_movement_block_set.

void elm_scroller_page_bring_in | ( | Evas_Object * | obj,
|  | int | h_pagenumber,
|  | int | v_pagenumber
| ) |  |

Show a specific virtual region within the scroller content object by page number.

Parameters

  obj | The scroller object
  h_pagenumber | The horizontal page number
  v_pagenumber | The vertical page number

0, 0 of the indicated page is located at the top-left of the viewport. This will slide to the page with animation.

Example of usage:

sc = elm_scroller_add(win);
elm_object_content_set(sc, content);
elm_scroller_page_relative_set(sc, 1, 0);
elm_scroller_last_page_get(sc, &h_page, &v_page);
elm_scroller_page_bring_in(sc, h_page, v_page);

See Also
  elm_scroller_page_show()

References elm_scrollable_interface_page_bring_in.

void elm_scroller_page_relative_get | ( | const Evas_Object * | obj,
|  | double * | h_pagerel,
|  | double * | v_pagerel
| ) |  |

Get a given scroller widget's scrolling page size, relative to its viewport size.

Parameters

  obj | The scroller object
  h_pagerel | Pointer to a variable where to store the horizontal page (relative) size
  v_pagerel | Pointer to a variable where to store the vertical page (relative) size

See Also
  elm_scroller_page_relative_set() for more details

Since
  1.7

References elm_scrollable_interface_paging_get.

void elm_scroller_page_relative_set | ( | Evas_Object * | obj,
|  | double | h_pagerel,
|  | double | v_pagerel
| ) |  |

Set scroll page size relative to viewport size.

Parameters

  obj | The scroller object
  h_pagerel | The horizontal page relative size
  v_pagerel | The vertical page relative size

The scroller is capable of limiting scrolling by the user to "pages". That is to jump by and only show a "whole page" at a time as if the continuous area of the scroller content is split into page sized pieces. This sets the size of a page relative to the viewport of the scroller. 1.0 is "1 viewport" is size (horizontally or vertically). 0.0 turns it off in that axis. This is mutually exclusive with page size (see elm_scroller_page_size_set() for more information). Likewise 0.5 is "half a viewport". Sane usable values are normally between 0.0 and 1.0 including 1.0. If you only want 1 axis to be page "limited", use 0.0 for the other axis.

References elm_scrollable_interface_page_relative_set.

void elm_scroller_page_scroll_limit_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | page_limit_h,
|  | Evas_Coord * | page_limit_v
| ) |  |

Get the maxium of the movable page at a flicking.

Parameters

  obj | The scroller object
  page_limit_h | The maxium of the movable horizontal page
  page_limit_v | The maxium of the movable vertical page

See Also
  elm_scroller_page_scroll_limit_set()

Since
  1.8

void elm_scroller_page_scroll_limit_set | ( | const Evas_Object * | obj,
|  | Evas_Coord | page_limit_h,
|  | Evas_Coord | page_limit_v
| ) |  |

Set the maxium of the movable page at a flicking.

Parameters

  obj | The scroller object
  page_limit_h | The maxium of the movable horizontal page
  page_limit_v | The maxium of the movable vertical page

The value of maxium movable page should be more than 1.

See Also
  elm_scroller_page_scroll_limit_get()

Since
  1.8

void elm_scroller_page_show | ( | Evas_Object * | obj,
|  | int | h_pagenumber,
|  | int | v_pagenumber
| ) |  |

Show a specific virtual region within the scroller content object by page number.

Parameters

  obj | The scroller object
  h_pagenumber | The horizontal page number
  v_pagenumber | The vertical page number

0, 0 of the indicated page is located at the top-left of the viewport. This will jump to the page directly without animation.

Example of usage:

sc = elm_scroller_add(win);
elm_object_content_set(sc, content);
elm_scroller_page_relative_set(sc, 1, 0);
elm_scroller_current_page_get(sc, &h_page, &v_page);
elm_scroller_page_show(sc, h_page + 1, v_page);

See Also
  elm_scroller_page_bring_in()

References elm_scrollable_interface_page_show.

void elm_scroller_page_size_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | h_pagesize,
|  | Evas_Coord * | v_pagesize
| ) |  |

Retrieve a scroller widget's current page size.

Parameters

  obj | The scroller object
  h_pagesize | Where to store its horizontal page size
  v_pagesize | Where to store its vertical page size

See Also
  elm_scroller_page_size_set() for more details
  elm_scroller_page_relative_set()

Since
  1.7

References elm_scrollable_interface_paging_get.

void elm_scroller_page_size_set | ( | Evas_Object * | obj,
|  | Evas_Coord | h_pagesize,
|  | Evas_Coord | v_pagesize
| ) |  |

Set scroll page size.

Parameters

  obj | The scroller object
  h_pagesize | The horizontal page size
  v_pagesize | The vertical page size

This sets the page size to an absolute fixed value, with 0 turning it off for that axis.

See Also
  elm_scroller_page_relative_set()
  elm_scroller_page_size_get()

References elm_scrollable_interface_page_size_set.

void elm_scroller_page_snap_get | ( | const Evas_Object * | obj,
|  | Eina_Bool * | page_h_snap,
|  | Eina_Bool * | page_v_snap
| ) |  |

Get the page snap behaviour of a scroller.

Parameters

  obj | The Scroller object
  page_h_snap | Will the scroller snap horizontally or not
  page_v_snap | Will the scroller snap vertically or not

See Also
  elm_scroller_page_snap_set() for more details

Since
  1.8

References elm_scrollable_interface_page_snap_allow_get.

void elm_scroller_page_snap_set | ( | Evas_Object * | obj,
|  | Eina_Bool | page_h_snap,
|  | Eina_Bool | page_v_snap
| ) |  |

Set page snapping behavior of a scroller.

Parameters

  obj | The scroller object
  page_h_snap | Allow snap horizontally
  page_v_snap | Allow snap vertically

When scrolling, if a scroller is paged (see elm_scroller_page_size_set() and elm_scroller_page_relative_set()), the scroller may snap to pages when being scrolled, i.e., even if it had momentum to scroll further, it will stop at the next page boundaries. This is disabled, by default, for both axis. This function will set if it that is enabled or not, for each axis.

Note
  If obj is not set to have pages, nothing will happen after this call.

Since
  1.8

References elm_scrollable_interface_page_snap_allow_set.

void elm_scroller_policy_get | ( | const Evas_Object * | obj,
|  | Elm_Scroller_Policy * | policy_h,
|  | Elm_Scroller_Policy * | policy_v
| ) |  |

Get scrollbar visibility policy.

Parameters

  obj | The scroller object
  policy_h | Horizontal scrollbar policy
  policy_v | Vertical scrollbar policy

See Also
  elm_scroller_policy_set()

References elm_scrollable_interface_policy_get.

void elm_scroller_policy_set | ( | Evas_Object * | obj,
|  | Elm_Scroller_Policy | policy_h,
|  | Elm_Scroller_Policy | policy_v
| ) |  |

Set the scrollbar visibility policy.

Parameters

  obj | The scroller object
  policy_h | Horizontal scrollbar policy
  policy_v | Vertical scrollbar policy

This sets the scrollbar visibility policy for the given scroller. ELM_SCROLLER_POLICY_AUTO means the scrollbar is made visible if it is needed, and otherwise kept hidden. ELM_SCROLLER_POLICY_ON turns it on all the time, and ELM_SCROLLER_POLICY_OFF always keeps it off. This applies respectively for the horizontal and vertical scrollbars.

References elm_scrollable_interface_policy_set.

Eina_Bool elm_scroller_propagate_events_get | ( | const Evas_Object * | obj | ) |

Get event propagation for a scroller.

Parameters

  obj | The scroller object

Returns
  The propagation state

This gets the event propagation for a scroller.

See Also
  elm_scroller_propagate_events_set()

References elm_obj_scroller_propagate_events_get.

void elm_scroller_propagate_events_set | ( | Evas_Object * | obj,
|  | Eina_Bool | propagation
| ) |  |

Set event propagation on a scroller.

Parameters

  obj | The scroller object
  propagation | If propagation is enabled or not

This enables or disables event propagation from the scroller content to the scroller and its parent. By default event propagation is enabled.

References elm_obj_scroller_propagate_events_set.

void elm_scroller_region_bring_in | ( | Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Show a specific virtual region within the scroller content object.

Parameters

  obj | The scroller object
  x | X coordinate of the region
  y | Y coordinate of the region
  w | Width of the region
  h | Height of the region

This will ensure all (or part if it does not fit) of the designated region in the virtual content object (0, 0 starting at the top-left of the virtual content object) is shown within the scroller. Unlike elm_scroller_region_show(), this allow the scroller to "smoothly slide" to this location (if configuration in general calls for transitions). It may not jump immediately to the new location and make take a while and show other content along the way.

See Also
  elm_scroller_region_show()

References elm_scrollable_interface_region_bring_in.

void elm_scroller_region_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the currently visible content region.

Parameters

  obj | The scroller object
  x | X coordinate of the region
  y | Y coordinate of the region
  w | Width of the region
  h | Height of the region

This gets the current region in the content object that is visible through the scroller. The region co-ordinates are returned in the `x`, `y`, `w`, `h` values pointed to.

Note
  All coordinates are relative to the content.

See Also
  elm_scroller_region_show()

References elm_scrollable_interface_content_region_get.

void elm_scroller_region_show | ( | Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Show a specific virtual region within the scroller content object.

Parameters

  obj | The scroller object
  x | X coordinate of the region
  y | Y coordinate of the region
  w | Width of the region
  h | Height of the region

This will ensure all (or part if it does not fit) of the designated region in the virtual content object (0, 0 starting at the top-left of the virtual content object) is shown within the scroller.

References elm_scrollable_interface_content_region_show.

Elm_Scroller_Single_Direction elm_scroller_single_direction_get | ( | const Evas_Object * | obj | ) |

Get the type of single direction scroll.

Parameters

  obj | The scroller object

Returns
  the type of single direction

See Also
  elm_scroller_single_direction_get()

Since
  1.8

References elm_scrollable_interface_single_direction_get.

void elm_scroller_single_direction_set | ( | Evas_Object * | obj,
|  | Elm_Scroller_Single_Direction | single_dir
| ) |  |

Set the type of single direction scroll.

Parameters

  obj | The scroller object
  single_dir | The type of single direction

See Also
  elm_scroller_single_direction_get()

Since
  1.8

References elm_scrollable_interface_single_direction_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14